<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DCA7D97C-6501-4272-8AA9-3F31D15B0438}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Halo3Map</RootNamespace>
    <AssemblyName>Halo3Map</AssemblyName>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>2.0</OldToolsVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevComponents.DotNetBar2, Version=6.5.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\..\..\..\..\..\Program Files\DotNetBar\DevComponents.DotNetBar2.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BLF\blf.cs" />
    <Compile Include="BLF\mapImage.cs" />
    <Compile Include="BLF\mapInfo.cs" />
    <Compile Include="BLF\mapV.cs" />
    <Compile Include="Data\ExtraDataTypes.cs" />
    <Compile Include="IO\IO.cs" />
    <Compile Include="Map\Header.cs" />
    <Compile Include="Map\IndexHeader.cs" />
    <Compile Include="Map\Map.cs" />
    <Compile Include="Data\Chunk.cs" />
    <Compile Include="Data\PluginAttributes.cs" />
    <Compile Include="Data\PluginCompiler.cs" />
    <Compile Include="Data\Reflexive.cs" />
    <Compile Include="Data\Tag.cs" />
    <Compile Include="Map\Strings.cs" />
    <Compile Include="Misc\MiscFunctions.cs" />
    <Compile Include="Scripting\Script.cs" />
    <Compile Include="Scripting\ScriptReader.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="Scripting\ScriptReader.Designer.cs">
      <DependentUpon>ScriptReader.cs</DependentUpon>
    </Compile>
    <Compile Include="Scripting\ScriptsData.cs" />
    <Compile Include="Scripting\ScriptString.cs" />
    <Compile Include="Scripting\Syntax.cs" />
    <Compile Include="Settings\Controls\UIFileNameEditor.cs" />
    <Compile Include="Settings\Controls\UIFolderNameEditor.cs" />
    <Compile Include="Settings\Settings.cs" />
    <Compile Include="Tags\Layouts\bitm.cs" />
    <Compile Include="Tags\Layouts\colo.cs" />
    <Compile Include="Tags\Layouts\hlmt.cs" />
    <Compile Include="Tags\Layouts\perf.cs" />
    <Compile Include="Tags\Layouts\play.cs" />
    <Compile Include="Tags\Layouts\sbsp.cs" />
    <Compile Include="Tags\Layouts\scnr.cs" />
    <Compile Include="Tags\Layouts\sily.cs" />
    <Compile Include="Tags\Layouts\trak.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Tags\Layouts\ugh!.cs" />
    <Compile Include="Tags\Layouts\weap.cs" />
    <Compile Include="Tags\Layouts\zone.cs" />
    <Compile Include="Tags\TagHandler.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Scripting\ScriptReader.resx">
      <SubType>Designer</SubType>
      <DependentUpon>ScriptReader.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>